extern crate model_converter;
extern crate kdtree;

use model_converter::math::vector::Vector2;
use kdtree::KdTree2;

fn main() {
    let mut points = vec![
        Vector2::new(2.0, 3.0),
        Vector2::new(5.0, 4.0),
        Vector2::new(9.0, 6.0),
        Vector2::new(4.0, 7.0),
        Vector2::new(8.0, 1.0),
        Vector2::new(7.0, 2.0),
    ];

    let kdtree = KdTree2::new(&mut points);

    println!("{}", kdtree);

}
